Name:           perl-HTTP-Request-AsCGI
Summary:        Setup a CGI environment from a HTTP::Request
Version:        1.2
Release:    1%{?dist}
License:        GPL+ or Artistic

Source0:        https://cpan.metacpan.org/authors/id/F/FL/FLORA/HTTP-Request-AsCGI-%{version}.tar.gz 
URL:            https://metacpan.org/release/HTTP-Request-AsCGI

BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(base)
BuildRequires:  perl(bytes)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(HTTP::Response) >= 1.53
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(Config)
BuildRequires:  perl(Encode)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(Test::More)

Suggests:       perl(HTTP::Request)
Requires:       perl(HTTP::Response) >= 1.53


%{?perl_default_filter}
%{?perl_default_subpackage_tests}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(HTTP::Response\\)$

%description
Provides a convenient way of setting up an CGI environment from a
HTTP::Request.

%prep
%setup -q -n HTTP-Request-AsCGI-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
unset __PRESERVE_ENV_TEST GATEWAY_INTERFACE HTTP_HOST HTTP_X_TEST PATH_INFO \
    QUERY_STRING RELEASE_TESTING REQUEST_METHOD SCRIPT_NAME SERVER_NAME \
    SERVER_PORT
make test

%files
%doc Changes README examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-1
- initial build
